aagc.vo

## Class PaiResponse

- java.lang.Object
- - aagc.vo.PaiResponse

-     public class PaiResponse
      extends java.lang.Object

  Classe Java per paiResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="paiResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idPAI">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceStruttura">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrizioneStruttura" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="dataInizioRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFineRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceFiscale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="cognomeAssistito">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="80"/>
                     <pattern value="[a-zA-Z]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="nomeAssistito">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="80"/>
                     <pattern value="[a-zA-Z]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataNascita" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataAutorizzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="distretto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceNazionale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="elencoMediciResponsabili">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="medico" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}medicoResponsabileResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PaiResponse.ElencoMediciResponsabili` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceFiscale`
    `protected java.lang.String` | `codiceNazionale`
    `protected java.lang.String` | `codiceStruttura`
    `protected java.lang.String` | `cognomeAssistito`
    `protected java.lang.String` | `dataAutorizzazione`
    `protected java.lang.String` | `dataFineRiferimento`
    `protected java.lang.String` | `dataInizioRiferimento`
    `protected java.lang.String` | `dataNascita`
    `protected java.lang.String` | `descrizioneStruttura`
    `protected java.lang.String` | `distretto`
    `protected PaiResponse.ElencoMediciResponsabili` | `elencoMediciResponsabili`
    `protected java.lang.String` | `idPAI`
    `protected java.lang.String` | `nomeAssistito`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaiResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceFiscale()` Recupera il valore della proprietà codiceFiscale.
    `java.lang.String` | `getCodiceNazionale()` Recupera il valore della proprietà codiceNazionale.
    `java.lang.String` | `getCodiceStruttura()` Recupera il valore della proprietà codiceStruttura.
    `java.lang.String` | `getCognomeAssistito()` Recupera il valore della proprietà cognomeAssistito.
    `java.lang.String` | `getDataAutorizzazione()` Recupera il valore della proprietà dataAutorizzazione.
    `java.lang.String` | `getDataFineRiferimento()` Recupera il valore della proprietà dataFineRiferimento.
    `java.lang.String` | `getDataInizioRiferimento()` Recupera il valore della proprietà dataInizioRiferimento.
    `java.lang.String` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `java.lang.String` | `getDescrizioneStruttura()` Recupera il valore della proprietà descrizioneStruttura.
    `java.lang.String` | `getDistretto()` Recupera il valore della proprietà distretto.
    `PaiResponse.ElencoMediciResponsabili` | `getElencoMediciResponsabili()` Recupera il valore della proprietà elencoMediciResponsabili.
    `java.lang.String` | `getIdPAI()` Recupera il valore della proprietà idPAI.
    `java.lang.String` | `getNomeAssistito()` Recupera il valore della proprietà nomeAssistito.
    `void` | `setCodiceFiscale(java.lang.String value)` Imposta il valore della proprietà codiceFiscale.
    `void` | `setCodiceNazionale(java.lang.String value)` Imposta il valore della proprietà codiceNazionale.
    `void` | `setCodiceStruttura(java.lang.String value)` Imposta il valore della proprietà codiceStruttura.
    `void` | `setCognomeAssistito(java.lang.String value)` Imposta il valore della proprietà cognomeAssistito.
    `void` | `setDataAutorizzazione(java.lang.String value)` Imposta il valore della proprietà dataAutorizzazione.
    `void` | `setDataFineRiferimento(java.lang.String value)` Imposta il valore della proprietà dataFineRiferimento.
    `void` | `setDataInizioRiferimento(java.lang.String value)` Imposta il valore della proprietà dataInizioRiferimento.
    `void` | `setDataNascita(java.lang.String value)` Imposta il valore della proprietà dataNascita.
    `void` | `setDescrizioneStruttura(java.lang.String value)` Imposta il valore della proprietà descrizioneStruttura.
    `void` | `setDistretto(java.lang.String value)` Imposta il valore della proprietà distretto.
    `void` | `setElencoMediciResponsabili(PaiResponse.ElencoMediciResponsabili value)` Imposta il valore della proprietà elencoMediciResponsabili.
    `void` | `setIdPAI(java.lang.String value)` Imposta il valore della proprietà idPAI.
    `void` | `setNomeAssistito(java.lang.String value)` Imposta il valore della proprietà nomeAssistito.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idPAI

          protected java.lang.String idPAI

    - #### codiceStruttura

          protected java.lang.String codiceStruttura

    - #### descrizioneStruttura

          protected java.lang.String descrizioneStruttura

    - #### dataInizioRiferimento

          protected java.lang.String dataInizioRiferimento

    - #### dataFineRiferimento

          protected java.lang.String dataFineRiferimento

    - #### codiceFiscale

          protected java.lang.String codiceFiscale

    - #### cognomeAssistito

          protected java.lang.String cognomeAssistito

    - #### nomeAssistito

          protected java.lang.String nomeAssistito

    - #### dataNascita

          protected java.lang.String dataNascita

    - #### dataAutorizzazione

          protected java.lang.String dataAutorizzazione

    - #### distretto

          protected java.lang.String distretto

    - #### codiceNazionale

          protected java.lang.String codiceNazionale

    - #### elencoMediciResponsabili

          protected PaiResponse.ElencoMediciResponsabili elencoMediciResponsabili

  - ### Constructor Detail

    - #### PaiResponse

          public PaiResponse()

  - ### Method Detail

    - #### getIdPAI

          public java.lang.String getIdPAI()

      Recupera il valore della proprietà idPAI.
      Returns:
        possible object is `String`

    - #### setIdPAI

          public void setIdPAI(java.lang.String value)

      Imposta il valore della proprietà idPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceStruttura

          public java.lang.String getCodiceStruttura()

      Recupera il valore della proprietà codiceStruttura.
      Returns:
        possible object is `String`

    - #### setCodiceStruttura

          public void setCodiceStruttura(java.lang.String value)

      Imposta il valore della proprietà codiceStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizioneStruttura

          public java.lang.String getDescrizioneStruttura()

      Recupera il valore della proprietà descrizioneStruttura.
      Returns:
        possible object is `String`

    - #### setDescrizioneStruttura

          public void setDescrizioneStruttura(java.lang.String value)

      Imposta il valore della proprietà descrizioneStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizioRiferimento

          public java.lang.String getDataInizioRiferimento()

      Recupera il valore della proprietà dataInizioRiferimento.
      Returns:
        possible object is `String`

    - #### setDataInizioRiferimento

          public void setDataInizioRiferimento(java.lang.String value)

      Imposta il valore della proprietà dataInizioRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFineRiferimento

          public java.lang.String getDataFineRiferimento()

      Recupera il valore della proprietà dataFineRiferimento.
      Returns:
        possible object is `String`

    - #### setDataFineRiferimento

          public void setDataFineRiferimento(java.lang.String value)

      Imposta il valore della proprietà dataFineRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscale

          public java.lang.String getCodiceFiscale()

      Recupera il valore della proprietà codiceFiscale.
      Returns:
        possible object is `String`

    - #### setCodiceFiscale

          public void setCodiceFiscale(java.lang.String value)

      Imposta il valore della proprietà codiceFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognomeAssistito

          public java.lang.String getCognomeAssistito()

      Recupera il valore della proprietà cognomeAssistito.
      Returns:
        possible object is `String`

    - #### setCognomeAssistito

          public void setCognomeAssistito(java.lang.String value)

      Imposta il valore della proprietà cognomeAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getNomeAssistito

          public java.lang.String getNomeAssistito()

      Recupera il valore della proprietà nomeAssistito.
      Returns:
        possible object is `String`

    - #### setNomeAssistito

          public void setNomeAssistito(java.lang.String value)

      Imposta il valore della proprietà nomeAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataNascita

          public java.lang.String getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `String`

    - #### setDataNascita

          public void setDataNascita(java.lang.String value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataAutorizzazione

          public java.lang.String getDataAutorizzazione()

      Recupera il valore della proprietà dataAutorizzazione.
      Returns:
        possible object is `String`

    - #### setDataAutorizzazione

          public void setDataAutorizzazione(java.lang.String value)

      Imposta il valore della proprietà dataAutorizzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDistretto

          public java.lang.String getDistretto()

      Recupera il valore della proprietà distretto.
      Returns:
        possible object is `String`

    - #### setDistretto

          public void setDistretto(java.lang.String value)

      Imposta il valore della proprietà distretto.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceNazionale

          public java.lang.String getCodiceNazionale()

      Recupera il valore della proprietà codiceNazionale.
      Returns:
        possible object is `String`

    - #### setCodiceNazionale

          public void setCodiceNazionale(java.lang.String value)

      Imposta il valore della proprietà codiceNazionale.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoMediciResponsabili

          public PaiResponse.ElencoMediciResponsabili getElencoMediciResponsabili()

      Recupera il valore della proprietà elencoMediciResponsabili.
      Returns:
        possible object is `PaiResponse.ElencoMediciResponsabili`

    - #### setElencoMediciResponsabili

          public void setElencoMediciResponsabili(PaiResponse.ElencoMediciResponsabili value)

      Imposta il valore della proprietà elencoMediciResponsabili.
      Parameters:
        `value` - allowed object is `PaiResponse.ElencoMediciResponsabili`